Bug 225720 - Journal/Calendar (etc) dialogs do not remember their last size
Summary: Journal/Calendar (etc) dialogs do not remember their last size
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-06 14:37 UTC by David Nemeskey
Modified: 2013-06-19 12:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Nemeskey 2010-02-06 14:37:39 UTC
Version:           4.4 rc2 (using KDE 4.4.0)
OS:                Linux
Installed from:    Ubuntu Packages

When the Edit Journal / Calendar Event (etc.) dialogs are opened, they are always displayed in a default size. Even if I manually resize and close them, the next time the dialogs are opened, they resume their default size. This behavior is especially inconvenient for the Edit Journal dialog, as by default it has only enough space to display 4 lines in the text area, regardless of the length of the text displayed (if any). This is on a 1280x800 monitor with default font selection & size.

The expected behavior: the dialogs should remember their size when they are closed, and resume that size when they are re-opened. Also, the Edit Journal dialog should be bigger by default.

I am using Kubuntu 9.10 with the KDE 4.4 rc2 packages.
Comment 1 Laurent Montel 2013-06-19 12:15:32 UTC
Git commit 70ead0cc8514db35fb373ce0fc9c4ad90364bab2 by Montel Laurent.
Committed on 19/06/2013 at 06:17.
Pushed by mlaurent into branch 'master'.

Fix Bug 225720 - Journal/Calendar (etc) dialogs do not remember their last size

FIXED-IN: 4.11

M  +11   -1    incidenceeditor-ng/incidencedialog.cpp

http://commits.kde.org/kdepim/70ead0cc8514db35fb373ce0fc9c4ad90364bab2